## lua-json 0.10

=== Makefile ===
#
# Makefile to prepare releases and run tests
#

.PHONY: all clean check dist dist-all dist-bzip2 dist-gzip dist-zip distcheck

DIST_DIR=dist
LUA_BIN=lua


all:
	@echo Building nothing - no binaries

clean:
	@echo Cleaning nothing - no binaries


dist dist-all: distdir dist-bzip2 dist-gzip dist-zip

distdir:
	mkdir -p dist

VERSION=luajson-$(shell git describe --abbrev=4 HEAD 2>/dev/null)
dist-bzip2: distdir
	git archive --format=tar --prefix=$(VERSION)/ HEAD | bzip2 > $(DIST_DIR)/$(VERSION).tar.bz2
dist-gzip: distdir
	git archive --format=tar --prefix=$(VERSION)/ HEAD | gzip > $(DIST_DIR)/$(VERSION).tar.gz
dist-zip: distdir
	git archive --format=zip --prefix=$(VERSION)/ HEAD > $(DIST_DIR)/$(VERSION).zip

# Config to make sure that Lua uses the contained Lua code
LUA_PATH_SETUP=LUA_PATH="?/init.lua;../src/?.lua;../src/?/init.lua;$(LUA_PATH);"
LUA_SETUP=LUA_OLD_INIT="$(LUA_INIT)" LUA_INIT="@hook_require.lua" $(LUA_PATH_SETUP)
check:
	cd tests && $(LUA_SETUP) lua regressionTest.lua
	cd tests && $(LUA_SETUP) lunit lunit-*.lua

distcheck: dist-bzip2
	mkdir -p tmp
	tar -C tmp -xf $(DIST_DIR)/$(VERSION).tar.bz2
	cd tmp/$(VERSION) && make check
	rm -rf tmp

## lua-json 1.1.1

=== Makefile ===
--- 
+++ 
@@ -22,18 +22,21 @@
 
 VERSION=luajson-$(shell git describe --abbrev=4 HEAD 2>/dev/null)
 dist-bzip2: distdir
-	git archive --format=tar --prefix=$(VERSION)/ HEAD | bzip2 > $(DIST_DIR)/$(VERSION).tar.bz2
+	git archive --format=tar --prefix=$(VERSION)/ HEAD | bzip2 -9v > $(DIST_DIR)/$(VERSION).tar.bz2
 dist-gzip: distdir
-	git archive --format=tar --prefix=$(VERSION)/ HEAD | gzip > $(DIST_DIR)/$(VERSION).tar.gz
+	git archive --format=tar --prefix=$(VERSION)/ HEAD | gzip -9v > $(DIST_DIR)/$(VERSION).tar.gz
 dist-zip: distdir
 	git archive --format=zip --prefix=$(VERSION)/ HEAD > $(DIST_DIR)/$(VERSION).zip
 
 # Config to make sure that Lua uses the contained Lua code
-LUA_PATH_SETUP=LUA_PATH="?/init.lua;../src/?.lua;../src/?/init.lua;$(LUA_PATH);"
+LUA_PATH_SETUP=LUA_PATH="?/init.lua;../lua/?.lua;../lua/?/init.lua;$(LUA_PATH);"
 LUA_SETUP=LUA_OLD_INIT="$(LUA_INIT)" LUA_INIT="@hook_require.lua" $(LUA_PATH_SETUP)
-check:
+check-regression:
 	cd tests && $(LUA_SETUP) lua regressionTest.lua
+check-unit:
 	cd tests && $(LUA_SETUP) lunit lunit-*.lua
+check: check-regression check-unit
+
 
 distcheck: dist-bzip2
 	mkdir -p tmp

## lua-json 1.3

=== debian/changelog ===
lua-json (1.3-1) unstable; urgency=low

  * [e90dafec] Changes by Enrico Tassi - thanks for the patch!
    * Switch to dh-lua
    * Package renamed according to the new Lua policy
  * [2f427b4d] Make debian/watch work again.
  * [6d097344] Merge tag 'upstream/1.3'
    Upstream version 1.3
  * [14787062] Enable support for Lua5.2
  * [1f053906] Use 3.0 (quilt) format as we have symlinks in the debian folder.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 May 2012 20:50:32 +0200

lua-json (1.2.2-1) unstable; urgency=low

  * [bb887c07] Merge commit 'upstream/1.2.2'

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Jul 2011 18:07:13 +0200

lua-json (1.2.1-1) unstable; urgency=low

  * [9b2b474a] Fixing filenamemangle in watch file.
  * [cdacecf3] Merge branch 'upstream'

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 10 Feb 2011 10:34:12 +0100

lua-json (1.1.1-1) unstable; urgency=low

  * New upstream version.
  * [f05a443c] Merge branch 'upstream'
  * [e296fdd1] Bumping  Standards-Version to 3.8.4. No changes needed.
  * [0b8d7f9f] Updating watch file.
  * [853dd452] src directory was renamed to lua, update debian/install.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 27 May 2010 09:49:47 +0200

lua-json (0.10-2) unstable; urgency=low

  * [9c816ef8] Depend on liblua5.1-lpeg2 or liblua5.1-lpeg1
               (Closes: #528548).

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 May 2009 18:13:23 +0200

lua-json (0.10-1) unstable; urgency=low

  * Initial release. 

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 09 Dec 2008 22:33:51 +0100

=== debian/control ===
Source: lua-json
Section: interpreters
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.8.4
Vcs-Git: git://git.recluse.de/debian/pkg-liblua-json.git
Vcs-Browser: http://git.recluse.de/debian/pkg-liblua-json.git/
Homepage: http://www.eharning.us/wiki/luajson/

Package: lua-json
Architecture: all
Depends: ${misc:Depends}, lua-lpeg
Replaces: liblua5.1-json (<< 1.2.2-2~)
Breaks: liblua5.1-json (<< 1.2.2-2~)
Provides: liblua5.1-json, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: JSON decoder/encoder for Lua
 LuaJSON is a customizable JSON decoder/encoder using LPEG for parsing.

Package: liblua5.1-json
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-json
Description: Transitional package for lua-json
 This is a transitional package to ease upgrades to the lua-json
 package. It can safely be removed.

=== debian/watch ===
version=3
http://github.com/harningt/luajson/downloads /downloads/harningt/luajson/luajson-([0-9.]+)\.tar\.gz

## lua-json 1.3.1

=== debian/changelog ===
lua-json (1.3.1-1ubuntu0.1~ubuntu14.04.1) trusty; urgency=medium

  * No-change backport to trusty

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 09 Jun 2015 10:46:02 -0500

lua-json (1.3.1-1ubuntu0.1) utopic; urgency=medium

  * Add upstream patch to fix lpeg 0.12 compatibility (LP: #1443288)
    - add debian/patches/fix-lpeg.patch
    - add debian/patches/series 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 02 Jun 2015 23:50:53 -0500

lua-json (1.3.1-1) unstable; urgency=medium

  * [3d18e710] Merge tag 'upstream/1.3.1'
    Upstream version 1.3.1

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 13 Feb 2014 23:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lua-json
 Section: interpreters
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 8), dh-lua
 Standards-Version: 3.8.4
 Vcs-Git: git://git.recluse.de/debian/pkg-liblua-json.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	        dh $@ --buildsystem=lua --with lua

## lua-json 1.3.2

=== debian/changelog ===
lua-json (1.3.2-1) unstable; urgency=medium

  * [25eb09ad] Merge branch 'upstream'
    Closes: #719519
    Merging upstream version 1.3.2 which is a bugfix release
    to make luajson work with lpeg again. It also sets _ENV to nil using local
    _ENV = nil to avoid global writing.
    Documentation and tests were updated accordingly and enhanced.
  * [b2bdecd4] Remove transitional package.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 08 Nov 2014 16:31:39 +0100

=== debian/control ===
Source: lua-json
Section: interpreters
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.8.4
Vcs-Git: git://git.recluse.de/debian/pkg-liblua-json.git
Vcs-Browser: http://git.recluse.de/debian/pkg-liblua-json.git/
Homepage: http://www.eharning.us/wiki/luajson/

Package: lua-json
Architecture: all
Depends: ${misc:Depends}, lua-lpeg
Replaces: liblua5.1-json (<< 1.2.2-2~)
Breaks: liblua5.1-json (<< 1.2.2-2~)
Provides: liblua5.1-json, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: JSON decoder/encoder for Lua
 LuaJSON is a customizable JSON decoder/encoder using LPEG for parsing.

## lua-json 1.3.3

=== Makefile ===
#
# Makefile to prepare releases and run tests
#

DISTOPS= dist distclean dist-all dist-bzip2 dist-gzip dist-tar dist-zip
.PHONY: all clean check $(DISTOPS) distcheck install

LUA_BIN=lua
LUNIT_BIN=lunit
VERSION=luajson-$(shell git describe --abbrev=4 HEAD 2>/dev/null)

MKDIR=mkdir -p
PREFIX ?= /usr/local
INSTALL_TOP= $(PREFIX)

INSTALL_LMOD= $(INSTALL_TOP)/share/lua/5.1
INSTALL_CMOD= $(INSTALL_TOP)/lib/lua/5.1

all:
	@echo Building nothing - no binaries

clean:
	@echo Cleaning nothing - no binaries

$(DISTOPS):
	$(MAKE) $(MFLAGS) -C dist $@

# Config to make sure that Lua uses the contained Lua code
LUA_PATH_SETUP=LUA_PATH="?/init.lua;../lua/?.lua;../lua/?/init.lua;$(LUA_PATH);"
LUA_SETUP=LUA_OLD_INIT="$(LUA_INIT)" LUA_INIT="@hook_require.lua" $(LUA_PATH_SETUP)

check-regression:
	cd tests && $(LUA_SETUP) $(LUA_BIN) regressionTest.lua
check-unit:
	cd tests && $(LUA_SETUP) $(LUNIT_BIN) lunit-*.lua

check: check-regression check-unit

distcheck-tar: dist-tar
	$(MKDIR) tmp
	tar -C tmp -xf dist/$(VERSION).tar
	cd tmp/$(VERSION) && make check
	rm -rf tmp

distcheck-zip: dist-zip
	$(MKDIR) tmp
	unzip -q -d tmp dist/$(VERSION).zip
	cd tmp/$(VERSION) && make check
	rm -rf tmp

distcheck: distcheck-zip distcheck-tar


install:
	$(MKDIR) $(DESTDIR)$(INSTALL_LMOD)
	cp -p -r lua/* $(DESTDIR)$(INSTALL_LMOD)

=== debian/changelog ===
lua-json (1.3.3-2) unstable; urgency=medium

  * [59e7e01] Support lua5.3.
    Thanks to Asbjørn Sloth Tønnesen (Closes: #826988)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 29 Dec 2016 15:34:34 +0100

lua-json (1.3.3-1) unstable; urgency=medium

  * [9c6f6c1] Fixing watch file.
  * [4d5dbd3] Merge branch 'upstream'
  * [b2577e9] Updating standards-version and git fields.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 23:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: interpreters
 Priority: optional
 Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 8), dh-lua
-Standards-Version: 3.8.4
-Vcs-Git: git://git.recluse.de/debian/pkg-liblua-json.git
-Vcs-Browser: http://git.recluse.de/debian/pkg-liblua-json.git/
+Build-Depends: debhelper (>= 8), dh-lua (>= 21)
+Standards-Version: 3.9.6
+Vcs-Git: git://git.bzed.at/debian/pkg-liblua-json.git
+Vcs-Browser: https://git.bzed.at/summary/debian%2Fpkg-liblua-json.git
 Homepage: http://www.eharning.us/wiki/luajson/
 
 Package: lua-json

## lua-json 1.3.4

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 check-regression:
 	cd tests && $(LUA_SETUP) $(LUA_BIN) regressionTest.lua
 check-unit:
-	cd tests && $(LUA_SETUP) $(LUNIT_BIN) lunit-*.lua
+	cd tests && $(LUA_SETUP) $(LUNIT_BIN) --interpreter $(LUA_BIN) lunit-*.lua
 
 check: check-regression check-unit

=== dist/Makefile ===
VERSION= luajson-$(shell git describe --abbrev=4 HEAD 2>/dev/null)

DIST_TAR= $(VERSION).tar
DIST_BZ2= $(DIST_TAR).bz2
DIST_GZ=  $(DIST_TAR).gz
DIST_ZIP= $(VERSION).zip

.PHONY: all clean dist distclean dist-bzip2 dist-gzip dist-tar dist-zip
.DELETE_ON_ERROR:

all: dist-all

clean: dist-clean
	@echo Cleaning nothing - no binaries

all dist dist-all: dist-tar dist-bzip2 dist-gzip dist-zip

distclean:
	rm -f luajson-*.bz2
	rm -f luajson-*.gz
	rm -f luajson-*.tar
	rm -f luajson-*.zip

dist-tar: $(DIST_TAR)

dist-bzip2: $(DIST_BZ2)

dist-gzip: $(DIST_GZ)

dist-zip: $(DIST_ZIP)

$(DIST_TAR):
	cd .. && git archive --format=tar --prefix=$(VERSION)/ HEAD . -o $(CURDIR)/$@

$(DIST_BZ2): $(DIST_TAR)
	bzip2 -9 -c -f $(DIST_TAR) > $@

$(DIST_GZ): $(DIST_TAR)
	gzip -9 -c -f $(DIST_TAR) > $@

$(DIST_ZIP):
	cd .. && git archive --format=zip --prefix=$(VERSION)/ HEAD: -o $(CURDIR)/$@

=== debian/changelog ===
lua-json (1.3.4-4) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 23:30:23 +0200

lua-json (1.3.4-3) unstable; urgency=medium

  * Move maintenance to lua-team
  * Fix lua-lpeg compatibility (Closes: #1089506)
  * Add support for lua5.4
  * d/copyright: convert to 1.0 format
  * d/tests: run autopkgtest
  * B-D debhelper-compat 13, Standards-Version 4.7.0
  * B-D lua-lpeg for tests
  * d/watch: version 4

 -- Jérémy Lal <kapouer@melix.org>  Thu, 09 Jan 2025 15:59:07 +0100

lua-json (1.3.4-2) unstable; urgency=medium

  * [06f652f] Migrating the git repo to salsa
  * [899d394] Add .gitlab-ci.yml

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 19:45:38 +0100

lua-json (1.3.4-1) unstable; urgency=medium

  * [f162566] Update upstream source from tag 'upstream/1.3.4'
    Update to upstream version '1.3.4'
    with Debian dir 547a6d91bf0c18b7a75a52cd2bc97e82436f1360
  * [27f7046] snapshot changelog
  * [a2ed30d] README was renamed to README.md

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 19:03:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: lua-json
 Section: interpreters
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 8), dh-lua (>= 21)
-Standards-Version: 3.9.6
-Vcs-Git: git://git.bzed.at/debian/pkg-liblua-json.git
-Vcs-Browser: https://git.bzed.at/summary/debian%2Fpkg-liblua-json.git
+Maintainer: The Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Jérémy Lal <kapouer@melix.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-lua,
+ lua-lpeg
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/lua-team/lua-json.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-json
 Homepage: http://www.eharning.us/wiki/luajson/
 
 Package: lua-json

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua

execute_before_dh_auto_test:
	cp debian/tests/lunit.lua tests/

execute_before_dh_auto_clean:
	rm -f tests/lunit.lua

=== debian/tests/control ===
Test-Command: debian/rules autopkgtest
Restrictions: allow-stderr, rw-build-tree
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/harningt/luajson/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
